# DOMDocument::loadHTML

(PHP 5, PHP 7)

DOMDocument::loadHTML — Load HTML from a string

### Description

public DOMDocument::loadHTML ( string `$source` [, int `$options` = 0 ] ) : bool

The function parses the HTML contained in the string `source`. Unlike loading XML, HTML does not have to be well-formed to load. This function may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

### Parameters

`source`

  The HTML string.

`options`

  Since PHP 5.4.0 and Libxml 2.6.0, you may also use the `options` parameter to specify additional Libxml parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns a DOMDocument or `FALSE` on failure.

### Errors/Exceptions

If an empty string is passed as the `source`, a warning will be generated. This warning is not generated by libxml and cannot be handled using libxml's error handling functions.

This method may be called statically, but will issue an `E_STRICT` error.

While malformed HTML should load successfully, this function may generate `E_WARNING` errors when it encounters bad markup. libxml's error handling functions may be used to handle these errors.

### Examples

Example #1 Creating a Document

`<?php
$doc = new DOMDocument();
$doc->loadHTML("<html><body>Test<br></body></html>");
echo $doc->saveHTML();
?>`

### Changelog

Version | Description
--- | ---
5.4.0 | Added `options` parameter.

### See Also

- DOMDocument::loadHTMLFile() - Load HTML from a file
- DOMDocument::saveHTML() - Dumps the internal document into a string using HTML formatting
- DOMDocument::saveHTMLFile() - Dumps the internal document into a file using HTML formatting